Bug 692346 - guest kernel panic when boot guest with nmi_watchdog=1
guest kernel panic when boot guest with nmi_watchdog=1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2011-03-31 01:46 EDT by Suqin Huang
Modified: 2013-12-08 19:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-07 03:05:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suqin Huang 2011-03-31 01:46:06 EDT
Description of problem:
boot guest with nmi_watchdog=1

Version-Release number of selected component (if applicable):
kvm-83-229.el5

How reproducible:
some time

Steps to Reproduce:
1. cmd:
qemu-kvm -drive file='/tests/kvm/images/RHEL-Server-6.0-64-virtio.qcow2',index=0,if=virtio,media=disk,cache=none,snapshot=on,boot=on,format=qcow2 -net nic,vlan=0,model=virtio,macaddr='9a:f2:4e:25:d1:2a' -net tap,vlan=0,ifname='t0-172342-2w3Q',script='/scripts/qemu-ifup-switch',downscript='no' -m 4096 -smp 2,cores=1,threads=1,sockets=2 -cpu qemu64,+sse2 -soundhw ac97 -vnc :0 -rtc-td-hack -M rhel5.6.0 -boot c  -usbdevice tablet -no-kvm-pit-reinjection

2. Kernel command line: ro root=/dev/mapper/vg_virtlab6685153-lv_root rd_LVM_LV=vg_virtlab6685153/lv_root rd_LVM_LV=vg_virtlab6685153/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us crashkernel=129M@0M rhgb console=tty0 console=ttyS0,115200 nmi_watchdog=1
3.
  
Actual results:


Expected results:


Additional info:

1. crash info:
BUG: NMI Watchdog detected LOCKUP on CPU1, ip ffffffff81013b4e, registers:
CPU 1
Modules linked in: ppdev parport_pc parport virtio_net virtio_balloon sg snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_piix4 i2c_core ext4 mbcache jbd2 virtio_blk sr_mod cdrom virtio_pci virtio_ring virtio pata_acpi ata_generic ata_piix dm_mod [last unloaded: scsi_wait_scan]

Modules linked in: ppdev parport_pc parport virtio_net virtio_balloon sg snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_piix4 i2c_core ext4 mbcache jbd2 virtio_blk sr_mod cdrom virtio_pci virtio_ring virtio pata_acpi ata_generic ata_piix dm_mod [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Not tainted 2.6.32-71.18.2.el6.x86_64 #1 KVM
RIP: 0010:[<ffffffff81013b4e>]  [<ffffffff81013b4e>] irq_return+0x0/0x12
RSP: 0018:ffff880028227fd8  EFLAGS: 00000086
RAX: 0000000000000000 RBX: ffff88013b7fffd8 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000001 RDI: ffffffff81a121e8
RBP: ffff88013b7ffed8 R08: 0000000000000000 R09: 0000000000000001
R10: 0000000000000000 R11: 0000000000000000 R12: ffffffff818a3ba0
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  00007f91ec846700(0000) GS:ffff880028220000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00007f91ebea3cc1 CR3: 0000000001001000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff4ff0 DR7: 0000000000000400
Process swapper (pid: 0, threadinfo ffff88013b7fe000, task ffff88013b7d80c0)
Stack:
 ffffffff81013b4e 0000000000000010 0000000000000086 ffff880028227fd8
<0> 0000000000000018
Call Trace:
 <NMI>
 [<ffffffff81013b4e>] ? irq_return+0x0/0x12
 <<EOE>>
Code: 8b 54 24 08 4c 8b 4c 24 10 4c 8b 44 24 18 48 8b 44 24 20 48 8b 4c 24 28 48 8b 54 24 30 48 8b 74 24 38 48 8b 7c 24 40 48 83 c4 50 <48> cf 66 66 66 90 66 66 66 2e 0f 1f 84 00 00 00 00 00 48 cf 0f
---[ end trace 2c0ee3711b42adf2 ]---
Kernel panic - not syncing: Non maskable interrupt
Pid: 0, comm: swapper Tainted: G      D    ----------------  2.6.32-71.18.2.el6.x86_64 #1
Call Trace:
 <NMI>  [<ffffffff814c885a>] panic+0x78/0x137
 [<ffffffff8106b5d3>] ? print_oops_end_marker+0x23/0x30
 [<ffffffff814ccafc>] die_nmi+0xfc/0x100
 [<ffffffff814cd0aa>] nmi_watchdog_tick+0x1aa/0x200
 [<ffffffff814cc623>] do_nmi+0x1a3/0x2d0
 [<ffffffff814cbf00>] nmi+0x20/0x30
 [<ffffffff81013b4e>] ? irq_return+0x0/0x12
 <<EOE>>
BUG: scheduling while atomic: swapper/0/0x14010000
Modules linked in: ppdev parport_pc parport virtio_net virtio_balloon sg snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_piix4 i2c_core ext4 mbcache jbd2 virtio_blk sr_mod cdrom virtio_pci virtio_ring virtio pata_acpi ata_generic ata_piix dm_mod [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Tainted: G      D    ----------------  2.6.32-71.18.2.el6.x86_64 #1
Call Trace:
 <NMI>  [<ffffffff81059d76>] __schedule_bug+0x66/0x70
 [<ffffffff814c916d>] thread_return+0x205/0x778
 [<ffffffff81013b4e>] ? irq_return+0x0/0x12
 [<ffffffff81013b4e>] ? irq_return+0x0/0x12
 [<ffffffff814cc6af>] ? do_nmi+0x22f/0x2d0
 [<ffffffff8106794a>] __cond_resched+0x2a/0x40
 [<ffffffff814cc6af>] ? do_nmi+0x22f/0x2d0
 [<ffffffff814c9830>] _cond_resched+0x30/0x40
 [<ffffffff81016026>] is_valid_bugaddr+0x16/0x40
 [<ffffffff81258ecf>] report_bug+0x1f/0xc0
 [<ffffffff8101735f>] die+0x7f/0x90
 [<ffffffff814cc1d4>] do_trap+0xc4/0x160
 [<ffffffff81014ee5>] do_invalid_op+0x95/0xb0
 [<ffffffff814cc6af>] ? do_nmi+0x22f/0x2d0
 [<ffffffff814c88f3>] ? panic+0x111/0x137
 [<ffffffff814c8883>] ? panic+0xa1/0x137
 [<ffffffff81013f5b>] invalid_op+0x1b/0x20
 [<ffffffff814cc6af>] ? do_nmi+0x22f/0x2d0
 [<ffffffff814cc4a4>] ? do_nmi+0x24/0x2d0
 [<ffffffff814cbf00>] nmi+0x20/0x30
 [<ffffffff814c88f3>] ? panic+0x111/0x137
 <<EOE>>
------------[ cut here ]------------
WARNING: at arch/x86/kernel/smp.c:117 native_smp_send_reschedule+0x5c/0x60() (Tainted: G      D    ---------------- )
Hardware name: KVM
2011-03-30 17:35:49: Modules linked in: ppdev parport_pc parport virtio_net virtio_balloon sg snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_piix4 i2c_core ext4 mbcache jbd2 virtio_blk sr_mod cdrom virtio_pci virtio_ring virtio pata_acpi ata_generic ata_piix dm_mod [last unloaded: scsi_wait_scan]
Pid: 6, comm: migration/1 Tainted: G      D    ----------------  2.6.32-71.18.2.el6.x86_64 #1
Call Trace:
 [<ffffffff8106b907>] warn_slowpath_common+0x87/0xc0
 [<ffffffff8106b95a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8102ea7c>] native_smp_send_reschedule+0x5c/0x60
 [<ffffffff810508a8>] resched_task+0x68/0x80
 [<ffffffff81050955>] check_preempt_curr_idle+0x15/0x20
 [<ffffffff8105b2ec>] __migrate_task+0x10c/0x120
 [<ffffffff810676c1>] migration_thread+0xb1/0x310
 [<ffffffff81067610>] ? migration_thread+0x0/0x310
 [<ffffffff81091a86>] kthread+0x96/0xa0
 [<ffffffff810141ca>] child_rip+0xa/0x20
 [<ffffffff810919f0>] ? kthread+0x0/0xa0
 [<ffffffff810141c0>] ? child_rip+0x0/0x20
---[ end trace 2c0ee3711b42adf3 ]---
------------[ cut here ]------------
kernel BUG at arch/x86/kernel/traps.c:531!
invalid opcode: 0000 [#1] SMP
last sysfs file: /sys/devices/virtual/block/dm-1/dm/name
CPU 1
Modules linked in: ppdev parport_pc parport virtio_net virtio_balloon sg snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_piix4 i2c_core ext4 mbcache jbd2 virtio_blk sr_mod cdrom virtio_pci virtio_ring virtio pata_acpi ata_generic ata_piix dm_mod [last unloaded: scsi_wait_scan]

Modules linked in: ppdev parport_pc parport virtio_net virtio_balloon sg snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_piix4 i2c_core ext4 mbcache jbd2 virtio_blk sr_mod cdrom virtio_pci virtio_ring virtio pata_acpi ata_generic ata_piix dm_mod [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Tainted: G      D W  ----------------  2.6.32-71.18.2.el6.x86_64 #1 KVM
RIP: 0010:[<ffffffff814cc6af>]  [<ffffffff814cc6af>] do_nmi+0x22f/0x2d0
RSP: 0018:ffff880028227f18  EFLAGS: 00010002
RAX: ffff88013b7fffd8 RBX: ffff880028227f58 RCX: 00000000c0000101
RDX: 00000000ffff8800 RSI: ffffffffffffffff RDI: ffff880028227f58
RBP: ffff880028227f48 R08: 0000000000000000 R09: 0000000000000002
R10: 0000000000000001 R11: 0000000000000000 R12: ffffffff8164e7c0
R13: 0000000000000000 R14: 0000000000000046 R15: 0000000000000000
FS:  00007f91ec846700(0000) GS:ffff880028220000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00007f91ebea3cc1 CR3: 0000000137393000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff4ff0 DR7: 0000000000000400
Process swapper (pid: 0, threadinfo ffff88013b7fe000, task ffff88013b7d80c0)
Stack:
 0000000000000000 0000000000000001 ffffffff8164e7c0 0000000000000000
<0> 0000000000000046 0000000000000000 ffff880028227e98 ffffffff814cbf00
<0> 0000000000000000 0000000000000046 0000000000000000 ffffffff8164e7c0
Call Trace:
 <NMI>
 [<ffffffff814cbf00>] nmi+0x20/0x30
 [<ffffffff814c88f3>] ? panic+0x111/0x137
 <<EOE>>
Code: ff 31 c0 48 c7 c7 88 97 64 81 e8 86 c2 ff ff 83 3d aa 5b 54 00 00 75 26 48 c7 c7 c0 97 64 81 31 c0 e8 6f c2 ff ff e9 2d fe ff ff <0f> 0b eb fe 0f 0b 66 66 2e 0f 1f 84 00 00 00 00 00 eb f3 48 c7
RIP  [<ffffffff814cc6af>] do_nmi+0x22f/0x2d0
 RSP <ffff880028227f18>
---[ end trace 2c0ee3711b42adf4 ]---
Kernel panic - not syncing: Fatal exception in interrupt
Pid: 0, comm: swapper Tainted: G      D W  ----------------  2.6.32-71.18.2.el6.x86_64 #1
Call Trace:
 <NMI>  [<ffffffff814c885a>] panic+0x78/0x137
[<ffffffff814cc932>] oops_end+0xf2/0x100
[<ffffffff8101733b>] die+0x5b/0x90
[<ffffffff814cc1d4>] do_trap+0xc4/0x160
[<ffffffff81014ee5>] do_invalid_op+0x95/0xb0
[<ffffffff814cc6af>] ? do_nmi+0x22f/0x2d0
[<ffffffff814c88f3>] ? panic+0x111/0x137
[<ffffffff814c8883>] ? panic+0xa1/0x137
[<ffffffff81013f5b>] invalid_op+0x1b/0x20
[<ffffffff814cc6af>] ? do_nmi+0x22f/0x2d0
[<ffffffff814cc4a4>] ? do_nmi+0x24/0x2d0
[<ffffffff814cbf00>] nmi+0x20/0x30
[<ffffffff814c88f3>] ? panic+0x111/0x137
<<EOE>>


2.host
kernel: 2.6.18-252.el5

cpuinfo:
processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 107
model name	: AMD Athlon(tm) 64 X2 Dual Core Processor 5600+
stepping	: 2
cpu MHz		: 1000.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy misalignsse
bogomips	: 2004.50
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps


3. guest: rhel6.-x642.6.32-71.18.2.el6.x86_64)
Comment 1 Gleb Natapov 2011-04-07 03:05:19 EDT
(In reply to comment #0)
> Description of problem:
> boot guest with nmi_watchdog=1
> 
Don't. Not supported.

Note You need to log in before you can comment on or make changes to this bug.